### Hierarchy

- OfferShareDataRepositoryImpl

### Implements

- OfferShareDataRepository

## Index

### Constructors

- constructor

### Methods

- acceptShareData
- getShareData

## Constructors

### constructor

- new OfferShareDataRepositoryImpl(transport: HttpTransport, accountManager: AccountManager, profileManager: ProfileManager): OfferShareDataRepositoryImpl

- - Defined in repository/offer/OfferShareDataRepositoryImpl.ts:16

  #### Parameters

  - ##### transport: HttpTransport

  - ##### accountManager: AccountManager

  - ##### profileManager: ProfileManager

  #### Returns OfferShareDataRepositoryImpl

## Methods

### acceptShareData

- acceptShareData(searchId: number, worth: string): Promise<void>

- Implementation of OfferShareDataRepository.acceptShareData

  - Defined in repository/offer/OfferShareDataRepositoryImpl.ts:37

  #### Parameters

  - ##### searchId: number

  - ##### worth: string

  #### Returns Promise<void>

### getShareData

- getShareData(owner: string, accepted: boolean): Promise<Array<OfferShareData>>

- Implementation of OfferShareDataRepository.getShareData

  - Defined in repository/offer/OfferShareDataRepositoryImpl.ts:24

  #### Parameters

  - ##### owner: string

  - ##### accepted: boolean

  #### Returns Promise<Array<OfferShareData>>

Generated using TypeDoc